<div class="modal">
    <button type="button" class="close" (click)=closeModal()>
        <span aria-hidden="true">&times;</span>
    </button>
    <div class="all-in-one-table">

        <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)"
            [reverse]="true">
        </elastic-page-header>
        <h1 *ngIf="modalOrganizationType == 'add'">Agregar Organización</h1>
        <h1 *ngIf="modalOrganizationType == 'edit'">Editar Organización</h1>
        <div class="scroll">
            <form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="form-modal" fxLayout="column" fxFlex="100%">
                <mat-card>

                    <mat-form-field class="example-full-width">
                        <mat-label>Nombre</mat-label>
                        <input matInput formControlName="name" (input)="changeValidation()" (click)="changeValidation()"
                            placeholder="Nombre de la Organización" type="text">
                    </mat-form-field>
                    <div *ngIf="formGroup.controls.name.touched">
                        <div *ngIf="organizationFormErrorsErrors.name">
                            <p *ngIf="organizationFormErrorsErrors.name.status" class="fontError mtFontError">
                                {{organizationFormErrorsErrors.name.message}}</p>
                        </div>
                    </div>

                    <mat-label style="display: flex;">Añadir imagen</mat-label>
                    <a mat-mini-fab color="basic" onclick="document.getElementById('file').click()">
                        <mat-icon>add_photo_alternate</mat-icon>
                    </a>
                    <input type="file" class="d-none" accept="image/*" id="file" (change)="uploadFile($event)">
                    <div *ngIf="logoTouched">
                        <div *ngIf="organizationFormErrorsErrors.logo">
                            <p *ngIf="organizationFormErrorsErrors.logo.status" class="fontError mtFontError">
                                {{organizationFormErrorsErrors.logo.message}}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div *ngIf="loadImages" class="image-url" style="padding: 0px;">
                            <div class="image-preview mb-3">
                                <button type="button" class="close" (click)=deleteLoadImage(loadImages)>
                                    <span aria-hidden="true">&times;</span>
                                </button>
                                <img class="listing-image" alt="" [src]="loadImages">
                            </div>
                        </div>
                        <div *ngFor="let images of images" class="image-url" style="padding: 0px;">
                            <div class="image-preview mb-3">
                                <button type="button" class="close" (click)=deleteImage(images.image)>
                                    <span aria-hidden="true">&times;</span>
                                </button>
                                <img class="listing-image" alt="blog-image" [src]="images.image">
                            </div>
                        </div>
                    </div>

                    <mat-form-field class="example-full-width">
                        <mat-label>Link Android</mat-label>
                        <input matInput formControlName="linkPlaystore" (input)="changeValidation()"
                            (click)="changeValidation()" placeholder="Link Android" type="text">
                    </mat-form-field>
                    <div *ngIf="formGroup.controls.linkPlaystore.touched">
                        <div *ngIf="organizationFormErrorsErrors.linkPlaystore">
                            <p *ngIf="organizationFormErrorsErrors.linkPlaystore.status" class="fontError mtFontError">
                                {{organizationFormErrorsErrors.linkPlaystore.message}}</p>
                        </div>
                    </div>

                    <mat-form-field class="example-full-width">
                        <mat-label>Link Apple</mat-label>
                        <input matInput formControlName="linkAppstore" (input)="changeValidation()"
                            (click)="changeValidation()" placeholder="Link Apple" type="text">
                    </mat-form-field>
                    <div *ngIf="formGroup.controls.linkAppstore.touched">
                        <div *ngIf="organizationFormErrorsErrors.linkAppstore">
                            <p *ngIf="organizationFormErrorsErrors.linkAppstore.status" class="fontError mtFontError">
                                {{organizationFormErrorsErrors.linkAppstore.message}}</p>
                        </div>
                    </div>

                    <section class="butt">
                        <div class="example-button-row">
                            <button mat-raised-button color="primary" (click)="closeModal()">Cancelar</button>
                            <button *ngIf="modalOrganizationType == 'add'" mat-raised-button color="primary"
                                type="submit">Crear</button>
                            <button *ngIf="modalOrganizationType == 'edit'" mat-raised-button color="primary"
                                type="submit">Guardar</button>
                        </div>
                    </section>
                </mat-card>
            </form>
        </div>
    </div>
</div>